Mailinglist Archive: opensuse-packaging (267 mails)

< Previous Next >
Re: [opensuse-packaging]
On Thu, Nov 01, 2012 at 07:42:25PM +0400, EGD wrote:
On 30 октября 2012 16:44:02 Michal Vyskocil wrote:
On Sat, Oct 27, 2012 at 07:27:17PM +0200, Stephan Kulow wrote:
Am 27.10.2012 18:32, schrieb Kyrill Detinov:
On Sat, 27 Oct 2012 12:46:29 +0100 Cristian Morales Vega wrote:
- opensuse-manuals_ru Fails for 86 days: java 1.7 breaks it

I don't think this is a real problem. The package is built noarch.
And it is buit successfully for i586. So we have it in repository
any way.
https://build.opensuse.org/package/show?package=opensuse-manuals_ru&proj
ect=openSUSE%3AFactory>
If java 1.7 breaks fop on x86_64, it *is* a problem.

On the other hand using a recursion in Java is probably the symptom of
bad design, causing StackOverflowError. From my POW fop is what is
broken ...

BTW: I've already sent an email to docu team with hints, how to deal
with is. At least xmlgraphics-fop 1.1 baked in Java:packages is an one
part of a solution.

Regards
Michal Vyskocil

If use fop from Java:packages both packages not building (32- and 64-bit).

I see no problem with a fop in J:p - can you give me details?

$ osc r Java:packages xmlgraphics-fop
openSUSE_12.1 x86_64 unresolvable
openSUSE_12.1 i586 unresolvable
openSUSE_12.2 x86_64 succeeded
openSUSE_12.2 i586 succeeded
openSUSE_Factory i586 blocked*
openSUSE_Factory x86_64 succeede

BTW: as I see J:p as Factory "devel" project, I am not that interested in fixing
builds for older distributions.

Regards
Michal Vyskocil
< Previous Next >
References